Package org.apache.sysds.runtime.iogen.codegen

## Class CodeGenTrieNode

- java.lang.Object
- - org.apache.sysds.runtime.iogen.codegen.CodeGenTrieNode

    public class CodeGenTrieNode
    extends Object

### Nested Class Summary

Nested Classes
`static class` `CodeGenTrieNode.NodeType`

### Constructor Summary

Constructors
`CodeGenTrieNode​(boolean endOfCondition, String colIndex, Types.ValueType valueType, String key, HashSet<String> naStrings, CodeGenTrieNode.NodeType type)`
`CodeGenTrieNode​(String colIndex, String key, CodeGenTrieNode.NodeType type)`
`CodeGenTrieNode​(CodeGenTrieNode.NodeType type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​CodeGenTrieNode>` `getChildren()`
`String` `getColIndex()`
`int` `getColIndexBeginPos()`
`String` `getKey()`
`int` `getRowIndexBeginPos()`
`CodeGenTrieNode.NodeType` `getType()`
`Types.ValueType` `getValueType()`
`String` `geValueCode​(String destination, String currPos)`
`boolean` `isEndOfCondition()`
`void` `setColIndex​(String colIndex)`
`void` `setColIndexBeginPos​(int colIndexBeginPos)`
`void` `setEndOfCondition​(boolean endOfCondition)`
`void` `setKey​(String key)`
`void` `setRowIndexBeginPos​(int rowIndexBeginPos)`
`void` `setValueType​(Types.ValueType valueType)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CodeGenTrieNode

    public CodeGenTrieNode​(CodeGenTrieNode.NodeType type)

#### CodeGenTrieNode

    public CodeGenTrieNode​(String colIndex,
                           String key,
                           CodeGenTrieNode.NodeType type)

#### CodeGenTrieNode

    public CodeGenTrieNode​(boolean endOfCondition,
                           String colIndex,
                           Types.ValueType valueType,
                           String key,
                           HashSet<String> naStrings,
                           CodeGenTrieNode.NodeType type)

### Method Detail

#### geValueCode

    public String geValueCode​(String destination,
                              String currPos)

#### getChildren

    public Map<String,​CodeGenTrieNode> getChildren()

#### isEndOfCondition

    public boolean isEndOfCondition()

#### setEndOfCondition

    public void setEndOfCondition​(boolean endOfCondition)

#### getColIndex

    public String getColIndex()

#### setColIndex

    public void setColIndex​(String colIndex)

#### getValueType

    public Types.ValueType getValueType()

#### setValueType

    public void setValueType​(Types.ValueType valueType)

#### getKey

    public String getKey()

#### setKey

    public void setKey​(String key)

#### getType

    public CodeGenTrieNode.NodeType getType()

#### getRowIndexBeginPos

    public int getRowIndexBeginPos()

#### setRowIndexBeginPos

    public void setRowIndexBeginPos​(int rowIndexBeginPos)

#### getColIndexBeginPos

    public int getColIndexBeginPos()

#### setColIndexBeginPos

    public void setColIndexBeginPos​(int colIndexBeginPos)